Bug 180705 - [bsd.port.mk] patching a file with both EXTRA_PATCHES and files/patch-* fails
Summary: [bsd.port.mk] patching a file with both EXTRA_PATCHES and files/patch-* fails
Status: Closed Works As Intended
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 20:30 UTC by Rene Ladan
Modified: 2019-09-04 14:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-07-20 20:30:00 UTC
When there is a file to patch in WRKSRC for which both a patch in EXTRA_PATCHES and a patch in files/patch-* exists, only the latter gets applied.

'make patch' claims to patch both but somehow skips the former, no error is shown.

Files in WRKSRC for which either a patch in EXTRA_PATCHES or a patch in files/patch-* exists get patched correctly.

Fix: 

Unknown
How-To-Repeat: git clone https://github.com/gliaskos/freebsd-chromium.git
cd freebsd-chromium/www/chromium
make config -> deselect CLANG
make patch
cd `make -V WRKSRC`
diff -u base/sys_info_freebsd.cc.orig base/sys_info_freebsd.cc

Now files/patch-base__sys_info_freebsd.cc is applied, but the correspoding chunk from files/extra-patch-gcc is not.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-07-20 22:09:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to maintainer(s).
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-06-02 02:45:51 UTC
Infrastructure PR.
Comment 3 Baptiste Daroussin freebsd_committer 2014-08-04 12:07:33 UTC
well we have no way to handle that a clever way imho 2 patches are modifying the same file then maintainer have to be extra careful